Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224090 - buggy tor-0.1.0.15-setgroups.patch
Summary: buggy tor-0.1.0.15-setgroups.patch
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: tor
Version: 6
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Enrico Scholz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-24 00:38 UTC by Sami Farin
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.1.1.26-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-03 15:37:59 UTC


Attachments (Terms of Use)
updated setgroups patch (deleted)
2007-01-24 00:38 UTC, Sami Farin
no flags Details | Diff

Description Sami Farin 2007-01-24 00:38:20 UTC
Description of problem:

You do:
log_fn(LOG_ERR,"Error setting groups: %s", strerror(errno));

But function is:
void _log_fn(int severity, uint32_t domain, const char *format, ...);

Version-Release number of selected component (if applicable):


How reproducible:
N/A

Steps to Reproduce:
1. N/A
2.
3.
  
Actual results:
N/A

Expected results:
N/A

Additional info:
Fixed patch attached.

Comment 1 Sami Farin 2007-01-24 00:38:20 UTC
Created attachment 146384 [details]
updated setgroups patch

Comment 2 Enrico Scholz 2007-02-03 15:37:59 UTC
thx for catching this; it's strange that the patch applied although its context
changed.


Note You need to log in before you can comment on or make changes to this bug.